NamingContextListener (Tomcat API Documentation)
Keywords: org.apache.catalina.core.NamingContextListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class NamingContextListener

    java.lang.Object
      org.apache.catalina.core.NamingContextListener

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, ContainerListener, LifecycleListener

    public class NamingContextListener

extends java.lang.Object
implements LifecycleListener, ContainerListener, java.beans.PropertyChangeListener

Helper class used to initialize and populate the JNDI context associated with each context and server.

Version:
  $Revision: 527693 $ $Date: 2007-04-11 23:51:57 +0200 (Wed, 11 Apr 2007) $
Author:
  Remy Maucherat

Field Summary
`protected javax.naming.Context` | `compCtx` Comp context.
`protected java.lang.Object` | `container` Associated container.
`protected javax.naming.Context` | `envCtx` Env context.
`protected boolean` | `initialized` Initialized flag.
`protected Log` | `logger`
`protected java.lang.String` | `name` Name of the associated naming context.
`protected NamingContext` | `namingContext` Associated JNDI context.
`protected NamingResources` | `namingResources` Associated naming resources.
`protected java.util.HashMap` | `objectNames` Objectnames hashtable.
`protected static StringManager` | `sm` The string manager for this package.

Constructor Summary
`NamingContextListener()`

Method Summary
`void` | `addEjb(ContextEjb ejb)` Set the specified EJBs in the naming context.
`void` | `addEnvironment(ContextEnvironment env)` Set the specified environment entries in the naming context.
`void` | `addLocalEjb(ContextLocalEjb localEjb)` Set the specified local EJBs in the naming context.
`void` | `addResource(ContextResource resource)` Set the specified resources in the naming context.
`void` | `addResourceEnvRef(ContextResourceEnvRef resourceEnvRef)` Set the specified resources in the naming context.
`void` | `addResourceLink(ContextResourceLink resourceLink)` Set the specified resource link in the naming context.
`void` | `addService(ContextService service)` Set the specified web service in the naming context.
`void` | `containerEvent(ContainerEvent event)` Acknowledge the occurrence of the specified event.
`protected javax.management.ObjectName` | `createObjectName(ContextResource resource)` Create an `ObjectName` for this `ContextResource` object.
`javax.naming.Context` | `getCompContext()` Return the comp context.
`javax.naming.Context` | `getEnvContext()` Return the env context.
`java.lang.String` | `getName()` Return the "name" property.
`NamingContext` | `getNamingContext()` Return the associated naming context.
`void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.
`void` | `propertyChange(java.beans.PropertyChangeEvent event)` Process property change events.
`void` | `removeEjb(java.lang.String name)` Set the specified EJBs in the naming context.
`void` | `removeEnvironment(java.lang.String name)` Set the specified environment entries in the naming context.
`void` | `removeLocalEjb(java.lang.String name)` Set the specified local EJBs in the naming context.
`void` | `removeResource(java.lang.String name)` Set the specified resources in the naming context.
`void` | `removeResourceEnvRef(java.lang.String name)` Set the specified resources in the naming context.
`void` | `removeResourceLink(java.lang.String name)` Set the specified resources in the naming context.
`void` | `removeService(java.lang.String name)` Set the specified web services in the naming context.
`void` | `setName(java.lang.String name)` Set the "name" property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected Log logger

### name

    protected java.lang.String name

  Name of the associated naming context.

### container

    protected java.lang.Object container

  Associated container.

### initialized

    protected boolean initialized

  Initialized flag.

### namingResources

    protected NamingResources namingResources

  Associated naming resources.

### namingContext

    protected NamingContext namingContext

  Associated JNDI context.

### compCtx

    protected javax.naming.Context compCtx

  Comp context.

### envCtx

    protected javax.naming.Context envCtx

  Env context.

### objectNames

    protected java.util.HashMap objectNames

  Objectnames hashtable.

### sm

    protected static StringManager sm

  The string manager for this package.

Constructor Detail

### NamingContextListener

    public NamingContextListener()

Method Detail

### getName

    public java.lang.String getName()

  Return the "name" property.

### setName

    public void setName(java.lang.String name)

  Set the "name" property.

  Parameters:
    `name` - The new name

### getCompContext

    public javax.naming.Context getCompContext()

  Return the comp context.

### getEnvContext

    public javax.naming.Context getEnvContext()

  Return the env context.

### getNamingContext

    public NamingContext getNamingContext()

  Return the associated naming context.

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Acknowledge the occurrence of the specified event.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - LifecycleEvent that has occurred

### containerEvent

    public void containerEvent(ContainerEvent event)

  Acknowledge the occurrence of the specified event. Note: Will never be called when the listener is associated to a Server, since it is not a Container.

  Specified by:
    `containerEvent` in interface `ContainerListener`
  Parameters:
    `event` - ContainerEvent that has occurred

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Process property change events. Currently, only listens to such events on the `NamingResources` instance for the global naming resources.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `event` - The property change event that has occurred

### createObjectName

    protected javax.management.ObjectName createObjectName(ContextResource resource)
                                                    throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `ContextResource` object.

  Parameters:
    `resource` - The resource
  Returns:
    ObjectName The object name
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### addEjb

    public void addEjb(ContextEjb ejb)

  Set the specified EJBs in the naming context.

### addEnvironment

    public void addEnvironment(ContextEnvironment env)

  Set the specified environment entries in the naming context.

### addLocalEjb

    public void addLocalEjb(ContextLocalEjb localEjb)

  Set the specified local EJBs in the naming context.

### addService

    public void addService(ContextService service)

  Set the specified web service in the naming context.

### addResource

    public void addResource(ContextResource resource)

  Set the specified resources in the naming context.

### addResourceEnvRef

    public void addResourceEnvRef(ContextResourceEnvRef resourceEnvRef)

  Set the specified resources in the naming context.

### addResourceLink

    public void addResourceLink(ContextResourceLink resourceLink)

  Set the specified resource link in the naming context.

### removeEjb

    public void removeEjb(java.lang.String name)

  Set the specified EJBs in the naming context.

### removeEnvironment

    public void removeEnvironment(java.lang.String name)

  Set the specified environment entries in the naming context.

### removeLocalEjb

    public void removeLocalEjb(java.lang.String name)

  Set the specified local EJBs in the naming context.

### removeService

    public void removeService(java.lang.String name)

  Set the specified web services in the naming context.

### removeResource

    public void removeResource(java.lang.String name)

  Set the specified resources in the naming context.

### removeResourceEnvRef

    public void removeResourceEnvRef(java.lang.String name)

  Set the specified resources in the naming context.

### removeResourceLink

    public void removeResourceLink(java.lang.String name)

  Set the specified resources in the naming context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.